/** @file
* PURPOSE: File contains the whole program
* Personal Data
* @author Daniel Hasemann
* November 3rd, 2005
*************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#define SIZE 30

//* @struct person contains name and birthday

struct person
{
    char firstname[SIZE];
    char name[SIZE];
    char birthday[SIZE];
};

void swrite(struct person *pwrite);

void sread(struct person *pread);

/** @brief main program        
    *  
    * Defines Structs, calls function swrite & sread
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/
    
int main(int argc, char *argv[])
{
    struct person data[3];
    
    swrite(data);
    sread(data);
    
    printf("\n\n\a");
    system("PAUSE");	
    return 0;
}

/** @brief swrite        
    *  
    * writes data in Struct person 
    @param *pwrite is a struct
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/
    
void swrite(struct person *pwrite)
{   
    unsigned int i;
    
    for(i=0;i<=2;i++)
    {
        clrscr();
        printf("USER [%d] : WRITE DATA\n\n",i+1);
        printf("FIRSTNAME :      ");
        scanf("%s",pwrite[i].firstname);
        printf("NAME      :      ");
        scanf("%s",pwrite[i].name);
        printf("BIRTHDAY  :      ");
        scanf("%s",pwrite[i].birthday);
    }   
    printf("\n\n\a");
    system("Pause");
}

/** @brief sread        
    *  
    * reads data in Struct person 
    @param *pread is a struct
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/

void sread(struct person *pread)
{   
    unsigned int i;
    
    for(i=0;i<=2;i++)
    {
        clrscr();
        printf("USER [%d] : READ DATA\n\n",i+1);    
        printf("FIRSTNAME :      ");
        printf("%s",pread[i].firstname);
        printf("\nNAME      :      ");
        printf("%s",pread[i].name);
        printf("\nBIRTHDAY  :      ");
        printf("%s",pread[i].birthday);
        getch();
    }
}


