/** @file
* PURPOSE: File contains the whole program
* Time calculation
* @author Daniel Hasemann
* November 15th, 2005
*************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <conio.h>
#define SIZE 100000

float calctime();

/** @brief main program        
    *  
    * Defines vars, calls calctime
    @author Daniel Hasemann
    *November 15th, 2005
    ******************************************/
    
int main(int argc, char *argv[])
{
    float time;
    int is=SIZE;
    
    
    printf("<<<TIME CALCULATION>>>\n\n");
    printf("How long does it take to calculate %d sqrt?\n\n",is);
    
    time=calctime();
    gotoxy(1,5);
    printf("difftime1=%.3f seconds",time);
    time=calctime();
    gotoxy(1,7);
    printf("difftime2=%.3f seconds\n\n",time);
    gotoxy(1,14);
    system("PAUSE");	
    return 0;
}

/** @brief calctime        
    *  
    * time measure 
    @return time is a float
    @see main()
    @author Daniel Hasemann
    *November 15th, 2005
    ******************************************/
    
float calctime()
{
    static int it;
    time_t start;
    time_t end;
    
    int i;
    float ftime;
    float fsqrt;
    
    start=time(NULL);
    for(i=1;i<=SIZE;i++)
    {
        fsqrt=sqrt(i);
        gotoxy(1,10);
        if(it)printf("Sulution of sqrt(%d)=%.3f\n\n",i,fsqrt);
    }
    if(it)gotoxy(1,5);
    else gotoxy(1,7);
    end=time(NULL);
    ftime=difftime(end,start);
    it=1;
    return ftime;
} 
