/** @file
* PURPOSE: File contains the whole program
* solution of square equations
* @author Daniel Hasemann
* October 22nd, 2005
*************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>


int compare (float);                        //There are three different cases by square equations
int main(int argc, char *argv[])            

{
    float b,c,x1,x2,disc=0;
    unsigned int equal=0;
    
    clrscr();
    
    printf("f(x)=xx+bx+c=0\n\nVariable b=");
    scanf("%f",&b);
    printf("\nVariable c=");
    scanf("%f",&c);
    disc=(b/2)*(b/2)-c;
    
    switch(compare(disc))
    {
        case 0:
            printf("\n\nEs gibt keine reelle Loesung dieser Gleichung! L={ }\n");
            break;
        case 1:
            printf("\n\nx1=x2=%.3f\n",(-b/2));
            break;
        case 2:
            printf("\n\nx1=%.3f\nx2=%.3f\n",-(b/2)+sqrt(((b/2)*(b/2))-c),-(b/2)-sqrt(((b/2)*(b/2))-c));
            break;
        default:
            printf("\n\n<<<Error in Funktion Switch>>>\n");    
    }
                
    getch();
  
    return 0;
}

/** @brief compare function          
    *
    * comparison between three possible conditions to solute the equation  
    @param disc is a float
    @return equal depends on disc, which depends on the quantity of solutions
    @see main()
    @author Daniel Hasemann
    *October 22nd, 2005
    ******************************************/
compare (float disc)
{
    int equal;
    
    if (disc<0)
    equal=0;
        
    if (disc==0)
    equal=1;
        
    if (disc>0)
    equal=2;
    
    return equal;
}    
