/** @file
* PURPOSE: File contains the whole program
* Currency
* @author Daniel Hasemann
* October 28nd, 2005
*************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>

/** @brief main program
    *
    * Currency
    * Program to calculate resistors
    @author Daniel Hasemann
    *October 28nd, 2005
    ******************************************/
    
int main(int argc, char *argv[])
{   
    int r1=100;
    int r2=100;
    int count;
    float rl[7];
    float uges=10;
    float pot=1;
    float rges;
    float u2[7];
     
    clrscr();
    
    for(count=1;count<=6;count++)
    {
        if (count==1)
        {
            rl[0]=0;
            //printf("%f\n",rl[count-1]);
        }
        
        pot=pot*10;
        rl[count]=pot;
        //printf("%f\n",rl[count]);
    }   
       
        
    for(count=0;count<=6;count++)
    {
        rges=r1+(r2*rl[count])/(r2+rl[count]);
        u2[count]=uges*(r2*rl[count])/((r2+rl[count])*rges);
        printf("U2.%d = %.3f Volt \n\n",count+1,u2[count]);
        //printf("rges=%f\n",rges);
        //printf("rl=%f\n",rl[count]);
        }   
   
        
 
 
 	getch();
    return 0;
}
