/** @file
* PURPOSE: File contains the whole program
* Personal Data over 4 functions
* @author Daniel Hasemann
* November 3rd, 2005
*************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define M 30

//* @struct person
struct person
{
    int zipcode;
    int telnr;  
};

int cbv118(int);
void cbr118(int*);
void cbv119(struct person);
void cbr119(struct person*);

/** @brief main program        
    *  
    * calls four functions
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/

int main(int argc, char *argv[])
{
    struct person data={77654,9786543};
    
    
    cbv118(data.zipcode);
    cbr118(&data.telnr);
    cbv119(data);
    cbr119(&data);
    
        
    system("PAUSE");	
    return 0;
}

/** @brief cbv118        
    *  
    * gets param from struct 
    @param a is an integer
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/
    
int cbv118(int a)
{
    printf("cbv118 Zipcode=%d\n\n",a);    
    return a;
}

/** @brief cbr118        
    *  
    * gets param adress from struct 
    @param *a is an integer
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/

void cbr118(int*a)
{
    printf("cbr118 Telnr =%d\n\n",*a);
    *a=9488609;
}

/** @brief cbv119        
    *  
    * gets a struct from main 
    @param data is a struct
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/

void cbv119(struct person data)
{
   printf("cbv119 Zipcode=%d\n",data.zipcode);
   printf("cbv119 Telnr =%d\n\n",data.telnr); 
}

/** @brief cbr119        
    *  
    * gets a struct adress from main 
    @param *data is a struct
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/
    
void cbr119(struct person* data)
{
   data->telnr=5367285;
   data->zipcode=77632;
   printf("cbr119 Zipcode=%d\n",data->zipcode);
   printf("cbr119 Telnr =%d\n\n",data->telnr);   
}
