/** @file
* PURPOSE: File contains the whole program
* Array Shifting
* @author Daniel Hasemann
* November 3rd, 2005
*************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>

void farray1(int[30]);
void farray2(int*);
void farray3(int[]);

/** @brief main program        
    *  
    * Defines an array with size of 30 int
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/
    
int main(int argc, char *argv[])
{
  char carray[30]="1234567890";
  
  clrscr();
  
  farray1(carray);
  farray2(carray);
  farray3(carray);
  
  system("PAUSE");	
  return 0;
}

/** @brief farray1        
    *  
    * Function prints an array 
    @param ia is an integer array
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/
    
void farray1(int ia[30])
{
    printf("First Array: %s\n",ia);    
}

/** @brief farray2        
    *  
    * Function prints an array 
    @param *ia is an integer
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/
    
void farray2(int* ia)
{
    printf("Second Array: %s\n",ia);    
}

/** @brief farray3        
    *  
    * Function prints an array 
    @param ia is an intger array of undefined size
    @see main()
    @author Daniel Hasemann
    *November 3rd, 2005
    ******************************************/
    
void farray3(int ia[])
{
    printf("Third Array: %s\n\n",ia);    
}

